Subject: RE: [rohc] FN I-D WGLC proposed way forward

From: "Finking, Robert" <[email-masked]>
Date: Mon, 24 Oct 2005 09:09:18 +0100

Joe, Ghyslain, All,

In this last exchange of e-mails between you both I think we have a well
put concise wording of your two positions. I don't think further
discussion is going to move us on. Personally I find Ghyslain's argument
compelling, and whilst I can understand your objections Joe, I think you
have to accept that once the TCP Profile I-D editor has understood your
point, which he has, then it's up to him what to decide how best to
handle your feedback.

My suggestion is that we clearly mark in the TCP profile that zero IP
IDs are non-compliant behaviour, but explain the motivation for
including them (i.e. the points Ghyslain outlined in his last e-mail).
That way we hopefully avoid propagating the behaviour inadvertently by
allowing people to cite the TCP Profile as evidence that zero IP-IDs is
valid behaviour.

>From my point of view I am happy to change the example in the FN draft.
To clarify I am not illustrating how to compress zeros, but how control
fields work. I need an example that illustrates the use of control
fields i.e. fields which communicate information not contained in the
uncompressed header. Zero IP ID is an ideal example of this since it's a
property of the flow which is not communicated in an uncompressed
header, but which you can gain compression benefit from by adding a
control field to the uncompressed header. Please consider whether you
can think of an example - I am not a protocol expert myself.

I hope this helps.

Regards

Raffles

> -----Original Message-----
> From: Joe Touch [mailto:[email-masked]] 
> Sent: Sunday, October 23, 2005 8:27 PM
> To: Ghyslain Pelletier (LU/EAB)
> Cc: Finking, Robert; [email-masked]
> Subject: Re: [rohc] FN I-D WGLC proposed way forward
> 
> 
> 
> 
> Ghyslain Pelletier (LU/EAB) wrote:
> > Joe,
> > 
> >I am fine with omitting the example altogether in the FN doc.
> > 
> > Note however that I do not share your opinion regarding that the 
> > example or ROHC-TCP are "violating IETF specs" with respect to the 
> > issue regarding zero IP-ID.
> > 
> > IMHO it is perfectly acceptable to base the design of a compression 
> > algorithm on both the specifications of protocols to be 
> compressed, as 
> > well as observation of behavior in live networks.
> 
> I agree; however, with this as well as other docs, an IETF 
> spec ought to follow other specs. Where divergent behavior is 
> noted, it makes sense to note it only as:
> 	a) something to be avoided (e.g., RFC2525)
> 	b) something to be changed in the spec (e.g., RFC3655)
> 
> Now, if you want to compress "what you see", that's a 
> separate issue. I appreciate possible inclusion of that in 
> the TCP spec - e.g., in a clearly marked section about 
> "compressing non-compliant but extant behavior" or somesuch.
> 
> However, it's a bad idea to use that in the examples in the FN doc.
> 
> > In addition, the support that we have for compressing zero IP-IDs 
> > comes at _no_ costs whatsoever to the compression 
> algorithm. There is 
> > no loss of efficiency for other IP-ID behaviours.
> 
> Only if you call compressing and transmitting data that 
> should be deleted at the destination, or may be deleted 
> en-route 'no costs'.
> 
> While I agree that this is up there with compressing packets 
> with bad checksums, I wouldn't recommend compressing packets 
> with zero checksums all over the place even if they were seen 
> on the wire. Same reason.
> 
> > Finally, there is already two precedents. RFC4019 (section 5.8) and 
> > RFC3843 (section 3.3) already supports compression of zero 
> IP-IDs. So 
> > this is nothing new, and we generally like to align our profiles to 
> > each other for protocol layers that are common to each compression 
> > scheme.
> 
> Neither of these documents overrides RFC791 or RFC1122 on the 
> matter. They are examples of errors not caught by the IESG, 
> IAB, or cross-area review, not to be propagated, IMO.
> 
> Joe
> 
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Joe Touch <[email-masked]>
Date: Tue, 25 Oct 2005 13:46:50 -0700

> allowing people to cite the TCP Profile as evidence that zero IP-IDs is

Very well put, IMO.

> can think of an example - I am not a protocol expert myself.

Wouldn't the TOS bits fall into that category? I.e., most of the time
they're zeroes, that fact isn't communicated in the uncompressed header,
etc.? (the only issue is that almost all flows have this property).

Other than that, maybe an option that follows a flow (e.g., TCP MD5, TCP
trailer checksum, etc.)?

Joe